TagLib::Matroska::Chapter::Display Class Reference

`#include <matroskachapter.h>`

## Public Member Functions

| Display (const String &string, const String &language)
| Display (const Display &other)
| Display (Display &&other) noexcept
| ~Display ()
Display & | operator= (const Display &other)
Display & | operator= (Display &&other) noexcept
void | swap (Display &other) noexcept
const String & | string () const
const String & | language () const

## Detailed Description

Contains all possible strings to use for the chapter display.

## Constructor & Destructor Documentation

## Display() [1/3]

TagLib::Matroska::Chapter::Display::Display | ( | const String & | string,
|  | const String & | language )

Construct a chapter display.

References language().

Referenced by Display(), Display(), operator=(), operator=(), and swap().

## Display() [2/3]

TagLib::Matroska::Chapter::Display::Display | ( | const Display & | other | ) |

Construct a chapter display as a copy of other.

References Display().

## Display() [3/3]

TagLib::Matroska::Chapter::Display::Display | ( | Display && | other | ) |

noexcept

Construct a chapter display moving from other.

References Display().

## ~Display()

TagLib::Matroska::Chapter::Display::~Display | ( |  | ) |

Destroys this chapter display.

## Member Function Documentation

## language()

const String & TagLib::Matroska::Chapter::Display::language | ( |  | ) | const

Returns language corresponding to the string.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by Display().

## operator=() [1/2]

Display & TagLib::Matroska::Chapter::Display::operator= | ( | const Display & | other | ) |

Copies the contents of other into this object.

References Display().

## operator=() [2/2]

Display & TagLib::Matroska::Chapter::Display::operator= | ( | Display && | other | ) |

noexcept

Moves the contents of other into this object.

References Display().

## string()

const String & TagLib::Matroska::Chapter::Display::string | ( |  | ) | const

Returns string representing the chapter.

## swap()

void TagLib::Matroska::Chapter::Display::swap | ( | Display & | other | ) |

noexcept

Exchanges the content of the object with the content of other.

References Display().

The documentation for this class was generated from the following file:

- matroskachapter.h